Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy
Class PolicyBlock

    java.lang.Object
      org.eclipse.jetty.policy.PolicyBlock

    public class PolicyBlock

extends java.lang.Object

Field Summary
`java.util.Set<java.security.cert.Certificate>` | `certificates`
`java.security.CodeSource` | `codesource`
`java.security.PermissionCollection` | `permissions`
`java.security.Principal[]` | `principals`

Constructor Summary
`PolicyBlock()`

Method Summary
`java.util.Set<java.security.cert.Certificate>` | `getCertificates()`
`java.security.CodeSource` | `getCodeSource()`
`java.security.PermissionCollection` | `getPermissions()`
`java.security.Principal[]` | `getPrincipals()`
`void` | `setCertificates(java.util.Set<java.security.cert.Certificate> certificates)`
`void` | `setCodeSource(java.security.CodeSource codesource)`
`void` | `setPermissions(java.security.PermissionCollection permissions)`
`void` | `setPrincipals(java.security.Principal[] principals)`
`java.security.ProtectionDomain` | `toProtectionDomain()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codesource

    public java.security.CodeSource codesource

### certificates

    public java.util.Set<java.security.cert.Certificate> certificates

### principals

    public java.security.Principal[] principals

### permissions

    public java.security.PermissionCollection permissions

Constructor Detail

### PolicyBlock

    public PolicyBlock()

Method Detail

### toProtectionDomain

    public java.security.ProtectionDomain toProtectionDomain()

### getCodeSource

    public java.security.CodeSource getCodeSource()

### setCodeSource

    public void setCodeSource(java.security.CodeSource codesource)

### getCertificates

    public java.util.Set<java.security.cert.Certificate> getCertificates()

### setCertificates

    public void setCertificates(java.util.Set<java.security.cert.Certificate> certificates)

### getPrincipals

    public java.security.Principal[] getPrincipals()

### setPrincipals

    public void setPrincipals(java.security.Principal[] principals)

### getPermissions

    public java.security.PermissionCollection getPermissions()

### setPermissions

    public void setPermissions(java.security.PermissionCollection permissions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.